# C++ identifier with special meaning: `import` (since C++20)

From cppreference.com
< cpp

### Usage

- `module` import declaration: imports a set of translation units

### Example

    export module foo;

    import bar;   // imports all module interface units of module bar
    import :baz;  // imports the so-named module partition baz of module foo
    import <set>; // imports a synthesized header unit formed from header <set>

### See also

- `export`, `module`

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/identifier_with_special_meaning/import&oldid=176208"